<?php

class ZenHelper
{
	const ZEN_CONFIRMED_TRANSACTION_TABLE_NAME = 'zen_confirmed_transactions';
	const ZEN_REFUNDS_HISTORY_TABLE_NAME = 'zen_refunds_history';

	/**
	 * @param $orderId
	 *
	 * @return array|false
	 */
	public static function getOrderById($orderId)
	{

		return tep_db_fetch_array(tep_db_query('SELECT * from ' . TABLE_ORDERS . ' WHERE orders_id = ' . tep_db_input($orderId)));
	}

	/**
	 * @param $orderId
	 *
	 * @return float
	 */
	public static function getOrderTotalById($orderId)
	{

		return (float) tep_db_fetch_array(tep_db_query("select value from " . TABLE_ORDERS_TOTAL . " where orders_id = " . tep_db_input($orderId) . ' and class = "ot_total"'))['value'];
	}

	/**
	 * @param $orderId
	 * @param $transactionId
	 */
	public static function addTransactionConfirmation($orderId, $transactionId)
	{
		tep_db_query('insert into ' . self::ZEN_CONFIRMED_TRANSACTION_TABLE_NAME . ' (`order_id`, `transaction_id`) values (' . tep_db_input($orderId) . ', "' . tep_db_input($transactionId) . '")');
	}

	/**
	 * @param $orderId
	 * @param $orderStatus
	 * @param $zenTransactionId
	 */
	public static function updateOrderStatus($orderId, $orderStatus, $zenTransactionId)
	{

		$orderId = tep_db_input($orderId);
		tep_db_perform(TABLE_ORDERS_STATUS_HISTORY, [
			'orders_id'         => $orderId,
			'orders_status_id'  => tep_db_input($orderStatus),
			'date_added'        => 'now()',
			'customer_notified' => '0',
			'comments'          => 'Transaction ID: ' . tep_db_input($zenTransactionId),
		]);
		tep_db_perform(TABLE_ORDERS, ['orders_status' => 2], 'update', 'orders_id=' . $orderId);
	}

}
